--- WinX68k（仮称）更新履歴 ---

Version 0.51

  - コマンドラインからCD-ROMを無効にすることができるようにした（-NOCD オプション）
  - コマンドラインからFDを挿入した状態で起動できるようにした（「-Aファイル名」のような形。
    ドライブ名としては A/B/0/1 が使用可能）
  - ドラッグアンドドロップでFDを挿入できるようにした。Windowの左半分で落とすと0ドライブ、
    右半分で落とすと1ドライブに挿入されます。既にFDが入っている場合はイジェクトして入れ
    替えます。
  - Window表示時、3ボタンマウスのセンターボタン、若しくはホイールマウスのホイールをクリッ
    クする事で、マウスモードの切り替えができるようにした（キーボード操作のF12相当）
  - フルスクリーン表示時、3ボタンマウスのセンターボタン、若しくはホイールマウスのホイール
    をクリックする事で、メニューのON/OFFができるようにした（キーボード操作のF11相当）
  - 101キーボード用に「_」「\」キーの割り当てを変えられるようにした。
  - キー割り当ての初期化機能をつけた。



Version 0.50

  - SCSI CD-ROMのサポート開始（まだ中途半端）
  - 16x16 BGの色が崩れるバグの修正（エトプリ）
  - BG-Text間の透明色処理をまた修正（おとしてポン）
  - グラフィック16色モードでの半透明判定を修正（覇天光）
  - CRTCレジスタ付近の範囲外のアクセスの返値修正（特攻神風ファイター）
  - DMA継続モード時に転送終了割り込みが上がらない事があるのを修正（PCM.8）
  - SRAM内の積算起動時間／回数を終了時に適当に加算するようにした（ムーンクレスタ）



Version 0.49

  - 画面コントラストの変更に対応
  - 0除算エラー時のスタックの内容を修正
  - 透明色判定を更に多少修正
  - CGROM作成ルーチンの高速化（by ゆいさん）



Version 0.48

  - 解像度に合わせててきとーに拡大するモード（AutoStretch）を追加
  - フルスクリーン時にもストレッチモードの選択ができるようにした
  - メニューが2行になった状態からStretchBltモードに切り替えた時にWindow
    サイズが狂っていたバグの修正
  - 最小化時にWindowサイズが変化した場合、Windowを再表示させた時その変化
    が反映されないバグの修正
  - グラフィックVRAM書き換え発生フラグの立て間違いを修正
  - DirectSoundのミキシング機能を使わないようにした
  - DirectSoundの48kHzモードに対応
  - タイマーを若干修正して微妙に音質改善したかもしれないが気のせいかも
  - OPMルーチンを差し替えた
  - 一部のソフトでADPCMドラムが段々ズレていくのに対処したつもり
  - フォント作成時に経過がわかるようにした
  - FDイメージ選択時に新規イメージを作成できるようにした（XDF形式のみ）
  - HDDイメージ選択時に新規イメージを作成できるようにした（40Mb固定）
  - DirectDrawの初期化に失敗した際、エラーメッセージを出さずに落ちる事が
    あったのを修正
  - 高速クリアのマスクパターン取得タイミングの修正
  - テキスト／BG・スプライト間の透明色処理の修正
  - 256色モード時にGRP2/3が優先の場合、正しく表示されない事があったのを
    修正
  - SCCを若干修正
  - SCSIモデルのIPLで起動した際は、$FC0000〜にダミーのSCSI ROMを置くよう
    にした
  - ダミーのSCSIカード（CZ-6BS1）を実装
  - コプロへのアクセスがエラーになっていなかったのを修正
  - SRAM上のプログラムを実行しようとするとバスエラーになっていたのを修正
  - 気持ち程度の最適化を行った
  - 名称に合わせてアイコンを変更
  - 起動時の右下のは自分への誕生日プレゼント（ぉぃ



Version 0.47a

  - Stretch Blt ONでフルスクリーンに切り替えた時の不具合を修正



Version 0.47

  - SCSIモデルのIPLであるかどうかをファイル名に関係なく自動判別にした
  - 「IPLROM.DAT」「IPLROM30.DAT」以外に「IPLROMCO.DAT」「IPLROMXV.DAT」
    のファイル名でも起動できるようにした
  - Window表示時に拡大表示を行わないオプションを追加した
  - DIM形式のイメージも読めるようにしてみた（おまけ程度）
  - XVI/RedZoneモード時のシステムポートの返値を修正
  - BG面の水平ドット数設定が768以上の時は、BG面を表示しないようにした
  - 256色2面モード時のグラフィックパレットの扱いを実機に近づけた
  - BGとグラフィックの垂直方向の表示解像度が異なる画面モードに、「擬似的
    に」対応
  - BGプレーンがOFFの時に、テキストパレット0が透明になっていたバグを修正
  - X68kコア最新版（0.20）の変更点の取り込み
  - 「オートフレームスキップ機能」を付けてみた（但し精度悪し）
  - VCレジスタのバスエラーになる範囲を縮小した



Version 0.46

  - BGとのプライオリティが異なるスプライト間のプライオリティバグを修正
  - 768x512モードでのグラフィック画面の表示バグの修正
  - キーが入りっぱなしになることがあるバグの修正
  - グラフィック高速クリアが起こりつづけることがあるバグの修正
  - ラスターコピータイミングが狂うことがあるバグの修正
  - フルスクリーン時に確実にメニューが消えるようにした
  - フルスクリーン時の表示位置が下にずれていたのを修正
  - フルスクリーン時のFD情報を画面下に移動した



Version 0.45
βリリースバージョン番号は、ややこしいので削除

  - ま〜きゅり〜V3.5（16kHz, 22.05kHz, 24kHz）に対応した
  - フォント生成機能のバグ（フォントの欠け等）修正
    ※ 0.44で作成した「CGROM.TMP」ファイルは削除してください
  - BG画面の水平方向アジャスト値の修正
  - WINDRVのFILES/NFILESバグの修正
  - 垂直1024ドットモード？への対応（ドラゴンバスターのローディング画面）
  - 垂直同期割り込みタイミング修正（アルゴスの戦士）



Version 0.44
βリリース8.3

  - フォントデータ生成機能の追加
  - ADPCMのDMAタイミングの変更（ADPCM多重化系用）
  - バッファサイズを大きくした時にOPMがへろへろになるのを修正
  - WINDRV上でボリューム名が正常に取得できないバグの修正
  - WINDRV上で同一ファイルの複数オープンを禁止した（動作怪しいかも）
  - ジョイスティックが繋がってない時にJoyKeyが効かないバグの修正
  - JoyKeyの入力がJoyStick1と2の両方に反映されていたバグの修正
  - JoyKeyをJoyStick2として使用するオプションの追加



Version 0.43
βリリース8.2

  - ジョイスティック1と2を入れ替えるオプションを追加
  - 仮対応ながら、WinDrv機能を追加（yamamaさん、ありがとうございます）
  - Winのキーリピートをマスクしないようにした
  - 030とそれ以前のマシンのIPLを判別するようにした。030のIPLは「IPLROM30.
    DAT」のファイル名を使用してください。また「IPLROM.DAT」と両方が見つ
    かった場合は、「IPLROM.DAT」が優先的に使用されます。
  - 一部サウンドがおかしくなるので、ADPCMの線形補間をしないようにした
  - 16bitカラーパレットの修正
  - けろぴーが住み着いた



Version 0.40
βリリース8

  - D88イメージへの仮対応
  - 「ま〜きゅり〜ゆにっと」への仮対応（V3ベース 再生部のみ）
  - XVI / RED ZONE モード搭載
  - DirectSoundのミキシングとボリュームを使うようにした（オーディオ
    プロパティの「再生アクセラレータ」を「使う」設定にしてください）
  - ADPCMの動作クロックを微妙に修正
  - ADPCM時のDMA動作を微妙に修正
  - MFP TimerAのイベントカウントモードのタイミング変更（ディグダグ）
  - 半透明時のプライオリティバグを修正（Arsys系のソフトなど）



Version 0.35
βリリース7

  - SRAMを使ったウィルスへの、ほんの気持ち程度の対策を行った
  - キーボードのカーソルキー及びZ,Xキーををジョイスティックとして使用する機能（JoyKeyモード）を追加した
  - ジョイスティックの読み取り頻度を落としてみた（DPP用なんですけど、どうでしょう？）
  - MIMPIの音色変換DEFファイルに対応（by ぷにゅさん）
  - システムポートによるSRAM保護をつけた
  - システムポートの返値を修正（GENOCIDE2ネコデモ等）
  - VDISP割り込みタイミングを変更してみた（クレイジークライマー1）
  - BG/Textの優先順位設定が同じ場合の表示順位を元に戻した（YsIII）
  - BG透明色扱いの修正（桃太郎伝説）
  - BG透明色フラグが正常に初期化されていなかったバグの修正（出たツイ）
  - 半透明時のプライオリティ判定の修正、というか辻褄合わせ？（Phalanx）
  - 標準解像度時の高速クリアタイミング修正（キャメルトライ）
  - 65536色モードのパレットの修正
  - SCSI BIOSへのアクセス時の処理を戻した（Tinna）



Version 0.30
βリリース6

  - INIファイル中の「StartDir」が長い場合に落ちてしまうバグの修正
  - SCSIモデルのIPLで落ちる事があるのを修正
  - 「ねこみぢすとりーむ」を削除した
  - MIDIボードエミュレーション部にFIFOを持たせた（闇の血族等）
  - MIDIデータが正常でない時のメッセージ判定を修正（GENOCIDE2等）
  - MFPのAERレジスタの反映（XSPシステム等）
  - 特殊なGVRAMアクセス設定時の処理の修正（哭きの竜等）
  - DMAのアレイチェインモードの動作修正（ドッジボール部等）
  - DMAの継続モードの動作修正（MiaPie.X等、但しまだ不完全）
  - FDCの「Read Diagnostic」の動作を修正（エメドラ等）
  - CRTCとスプライトコントローラで設定値が異なると、スプライト／BGがずれ
    てしまうバグの修正（ドラゴンバスター等）
  - 高速クリアビットの変化タイミングの修正（PITAPAT等）
  - HSYNC割り込みの処理を修正（CARAT等）
  - 65536色モードでの透明色処理を修正（スターウォーズ等）



Version 0.25
βリリース5

  - 1024x1024x16色モードでのグラフィックVRAMの扱いを修正（CARAT等）
  - FDを入れたままリセットをかけた時に、FDのライトプロテクトが外れていたバグの修正
  - ビデオコントロールレジスタのアクセス可能アドレスを変更（スペースインベーダー等）
  - スプライトのプライオリティ判定を修正（源平討魔伝等）
  - BGスクロール時に画面更新が正しく行われないバグを修正（桃太郎伝説等）
  - MFPタイマAのイベントカウントモード修正（ロードス島戦記等）
  - DMAのエラー検出の強化（バラデューク等）
  - テキストパレット0の扱いを多少修正（生中継68等）
  - BG/Text間の透明処理を多少修正（イシター等）
  - OPMのアクセスポートアドレスを修正（Z-MUSIC等）
  - キー割り込みタイミングを修正（GENOCIDE2等）



Version 0.21
βリリース4a

  - MFPのタイマーカウンタが狂うバグの修正（エトプリ等）
  - btstオペランドのバグ修正（ファイナルファイト等）
  - MemoryRead/Writeルーチンをアセンブラ化した
  - 「ねこみぢ」（(c) ぷにゅさん）搭載他、MIDI関連の修正とコンフィグ追加



Version 0.20
βリリース4

  - ぷにゅさんの手による「ねこーしすてむ」搭載で速度＆安心感アップ（謎
  - MIDI (CZ-6BM1相当) を実装した…つもり
  - 半透明と特殊プライオリティの一応の実装
  - イジェクトマスクして自動排出されると、ディスクが挿入出来なくなっていたバグの修正（ラプラス等）
  - サウンド無しの設定にするとハングアップしていたバグの修正
  - DirectSoundが終了時にバッファを開放していなかったバグの修正
  - キーバッファの読み出しデータを少し修正（X6KY等）
  - DMA2が最大速度時にも速度限定していたバグの修正（黄金の羅針盤等）
  - CPUコアにアドレスエラーのチェックを入れた（闇の血族等）
  - BG/SP の ON/OFF のフラグ処理の修正（闇の血族等）
  - 68kコアの不当命令処理の修正（CODE ZERO等）
  - スプライトレジスタの値によってはスプライトが消えるバグの修正（YsIII等）
  - 割り込みタイミング修正（ラプラス等）
  - タイマーカウンタに0を設定した時の動作を修正（スタークルーザー等）
  - その他色々修正



Version 0.15
βリリース3

  - 諸事情により非公開



Version 0.10
βリリース2

  - SASIドライブに対応。但しフォーマットが異様に遅いなどの不具合あり
  - キーコンフィグを多少修正
  - マウススピードを変更できるようにした
  - アクセスランプとかを付けてみた
  - Window表示時にDirectDrawサーフェースのロストをチェックしていなかったバグの修正
  - Human等でディスク未挿入チェックが正しく働いていなかったバグの修正
  - FDのライトプロテクトのチェックをしていなかったバグの修正
  - FD入れ替え時に少しウェイトを入れた（FDイジェクト割り込みが入らないことへの対処）
  - FDDのドライブチェックが正常に動いていなかったバグの修正
  - DMA2が無限ループに入る事があるバグの修正（A-JAX等）
  - カラーマスクが特殊なグラフィックカードで色化けする可能性があったのに対処したつもり
  - 4/1のみのスペシャルバージョン、「けろぴーEdition」も作った（笑） 



Version 0.06
βリリース1.1、バグ対処リリース

  - グラフィック高速クリア実行時にメモリを破壊していたバグの修正
  - キーコンフィグの追加（取敢えず版）
  - キーリピート判定が間違っていたのを修正
  - 起動時に一瞬デフォルト位置にWindowが現れるのを修正



Version 0.05
βリリース1

  - ADPCMに対応したつもり
  - DMA CH3の大幅変更（ADPCM対応用）
  - DMA CH2にリンク／アレイリンクチェーン動作を追加（沙羅曼蛇等）
  - FDCに「Read Diagnostic」コマンドを仮実装（エメドラ、ZAVAS等）
  - マウス及びSCC（マウスに必要な部分だけ）を実装
  - ジョイスティックのサポート
  - サウンド及びジョイスティックのコンフィグ追加
  - ノーウェイト動作モードの追加
  - プログラムをTextVRAM上に置いた時の問題を修正（出たツイ等）
  - 画面モード変更時のVRAM内容を実機に合わせた…つもり
  - 画面最上部にスプライトがある際に正しく表示されないバグの修正
  - SRAMデータが変な場所にセーブされていたバグの修正
  - WinのIMEを禁止した
  - テキストのパレット0を取敢えず透明色扱いする事にした
  - Xmilをパクらせて貰った（謎。許してけろぴー…ぢゃなくて、ぷにゅさん。
  - 他、細かいバグ修正



Version 0.02
αリリース3

  - 死ぬふぉど重くなった（汗
  - フレームスキップ機能追加（遅すぎる表示ルーチン用の逃げ……が、逃げ切れていない）
  - ラスタスクロール、スプライトダブラ等に対応……かも
  - 透明色の扱いがちょっとだけ実機に近くなった……かも
  - プライオリティ設定値が妙な場合の処理修正色々（ドラスピ等）
  - ラスタ割り込みタイミングの修正（ラスタスクロールしているもの等）
  - ラスタコピー処理の修正（ドラキュラ、ボナンザ等）
  - バスエラー時の処理の修正（M2SYSTEM等）
  - MFP割り込み処理の修正（多くの「エラー($0000)」への対処）
  - MFPタイマの修正、というかごまかし（エトプリ等）
  - DMA CH2の対応範囲をまたちょっと広げた（Z-MUSIC等）
  - DMA CH2が割り込みを掛けていなかったのを修正（Z-MUSIC等）
  - FDCに Scan Equal コマンドを追加……できてる？（TDQ2等） 



Version 0.01
αリリース2

  - DMA CH2の対応範囲をちょっとだけ広げた
  - いちおースプライトに対応
  - いちおーグラフィック画面に対応
  - テキスト／BG／グラフィックのHWスクロールに対応
  - テキスト／BG／グラフィックのプライオリティに少し対応
  - メインメモリ以外（SRAM/VRAMなど）でプログラムを実行可能にした…と思ふ
  - 半対応状態だったラスタスクロール、スプライトダブラへの対応を潔く見捨てた（ぉぃ。対応は次回以降に持ち越し。
  - テキストのDirtyフラグも取っ払った。従って重さ増大（汗



Version 0.00
最初のリリース（αリリース） 
